Description

The issue is related to the step 2. sAss4 test case, page 41 in 10075662-INC 2021-Rev1.2

"2.Client sends MMS Initiate Request with localDetailCalling=<minimum PDU size, (see PIXIT), NestingLevel=15,
proposedParameterCBBs=(str1, str2, vnam, valt, vlis) and ServiceSupportCalling=(fileOpen, fileRead, fileClose,
informationReport, conclude)"

In this step 2, two cases are covered:
A) When localDetailCalling = minimum PDU size
B) When localDetailCaling < minimum PDU size.

When the proposed MMS PDU size is equal to the PIXIT minimum PDU size, from my point of view the “Expected result” is ok.
But if the client proposes a MMS PDU size smaller than the minimum PDU size (PIXIT), for instance 100 bytes or 10 bytes, shall the
device accept this MMS PDU size? With this PDU size no MMS service can the used at all.

| recommend to split this test in two different one:

a) Keep step 2 with LocalDetailCalling = minimum PDU size (pixit)

b) Add a step with LocalDetailCalling < minimum PDU size and add in this case add the possibility of rejecting the Initiate sequence
as in the step 3 expected result.

History

#1 - 07/23/2024 08:34 AM - IEC 61850 TPWG
- Due date set to 08/06/2024
- Status changed from New to In Progress

- Assignee set to Richard Schimmel

Accepted in priciple

Change localDetailCalling=<minimum to localDetailCalling=minimum in sAss4
Add localDetailCalling<minimum case to sAssN2

#2 - 07/26/2024 07:23 AM - Richard Schimmel

- File Solution to redmine 6823 sAss4 - sAssN2.docx added

- Initial Test Document set to TP1.3

- Test Case ID changed from sAss4 to sAss4, sAssN2

Solution attached
#3 - 08/06/2024 08:15 AM - IEC 61850 TPWG

- Status changed from In Progress to Resolved

Files

Solution to redmine 6823 sAss4 - sAssN2.docx 24.5 KB 07/26/2024 Richard Schimmel
